import { Validators, AbstractControl, ValidationErrors } from '@angular/forms';
export declare class ValidateBrService extends Validators {
    /**
     * Validator who checks if the control is a valid proper name.
    */
    propName(control: AbstractControl): ValidationErrors | null;
    /**
     * Validator checking if the control is valid alphanumeric.
    */
    alphaNumeric(control: AbstractControl): ValidationErrors | null;
    /**
     * Validator checking if the control is valid alpha.
    */
    alpha(control: AbstractControl): ValidationErrors | null;
    /**
     * Validator checking if control is *cpf* valid.
    */
    cpf(control: AbstractControl): ValidationErrors | null;
    /**
     * Validator checking if control is *cnpj* valid.
    */
    cnpj(control: AbstractControl): ValidationErrors | null;
    /**
     * Validator checking if control is *decimal* valid.
    */
    decimal(control: AbstractControl): ValidationErrors | null;
    /**
     * Validator checking if control is *integer* valid.
    */
    integer(control: AbstractControl): ValidationErrors | null;
    /**
      * Validator checking if control is *url* valid.
    */
    url(control: AbstractControl): ValidationErrors | null;
}
